[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# WideCharToString

Convert a null-terminated array of widechar to an ansistring

## Declaration

Source position: ustringh.inc line 34

`function WideCharToString(`
`S: PWideChar`
`):AnsiString;`

## Description

WideCharToString converts the null-terminated widechar array S to an ansistring, and returns the ansistring.

## Errors

No validity checking is performed on Src. Passing an invalid pointer, or an improperly terminated array may lead to access violations.

## See also

StringToWideChar |  | Convert a string to an array of widechars.
WideCharToStrVar |  | Convert a null-terminated array of widechar to an ansistring
WideCharLenToStrVar |  | Convert a length-limited array of widechar to an ansistring
WideCharLenToString |  | Convert a length-limited array of widechar to an ansistring

Documentation generated on: Feb 26 2014